Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.spaces
Class Sequencer

    java.lang.Object
      |
      +--quicktime.app.spaces.Sequencer

Direct Known Subclasses:
  DSequenceFromMemory, ImageSequencer

public abstract class Sequencer
extends java.lang.Object

This interface defines operations that can control the positioning of a cursor through a sequence of data. Generally a sequencer will define a get method to retrieve the data at the current frame. The type of object returned in a get method is specific to the type of sequencer.

Field Summary
`static int` | `kFirstFrame`
`static int` | `kLastFrame`
`static int` | `kLoopForwards`
`static int` | `kLoopPalindrome`
`static int` | `kNoLooping`

Constructor Summary
`Sequencer()`

Method Summary
`int` | `getCurrentFrame()` Returns the current frame number
`int` | `getLooping()` Returns the type of looping behaviour of the Sequencer.
`void` | `setCurrentFrame(int frameNumber)` Sets the current frame number.
`void` | `setFrameNext()` Sets the current frame number to the next frame.
`void` | `setFramePrevious()` Sets the current frame number to the previous frame.
`void` | `setLooping(int flag)` Sets the type of looping behaviour of the Sequencer.
`abstract int` | `size()` Returns the number of frames of the data which the sequencer is sequencing.
`java.lang.String` | `toString()` Returns a string representation of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNoLooping

    public static final int kNoLooping

### kLoopForwards

    public static final int kLoopForwards

### kLoopPalindrome

    public static final int kLoopPalindrome

### kLastFrame

    public static final int kLastFrame

### kFirstFrame

    public static final int kFirstFrame

Constructor Detail

### Sequencer

    public Sequencer()

Method Detail

### setLooping

    public void setLooping(int flag)

  Sets the type of looping behaviour of the Sequencer.
  Parameters:
    `flag` - the looping flag
  See Also:
    `kNoLooping`, `kLoopForwards`, `kLoopPalindrome`

### getLooping

    public int getLooping()

  Returns the type of looping behaviour of the Sequencer.
  Returns:
    the looping behaviour flag

### size

    public abstract int size()

  Returns the number of frames of the data which the sequencer is sequencing.
  Returns:
    the current number of frames of the sequencers data sequence

### getCurrentFrame

    public int getCurrentFrame()

  Returns the current frame number

### setCurrentFrame

    public void setCurrentFrame(int frameNumber)

  Sets the current frame number. This will observe correct behaviour given the current state of the image object it refers to - it will loop, etc.
  Parameters:
    `frameNumber` - the new current frame number to set to.

### setFrameNext

    public void setFrameNext()

  Sets the current frame number to the next frame.

### setFramePrevious

    public void setFramePrevious()

  Sets the current frame number to the previous frame. Calling previousFrame where the index of the frame is currently the first index and looping is set to normal has no effect.

### toString

    public java.lang.String toString()

  Returns a string representation of this class.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD